| Home | Libraries | People | FAQ | More

##### basic_socket::available (1 of 2 overloads)

Determine the number of bytes available for reading.

    std::size_t available() const;

This function is used to determine the number of bytes that may be read without blocking.

###### Return Value

The number of bytes that may be read without blocking, or 0 if an error occurs.

###### Exceptions

boost::system::system_error

  Thrown on failure.